Subject: Re: CGI with SWI-Prolog

From: [email-masked]
Date: Mon, 3 Apr 2000 19:32:20 -0400 (EDT)

> [potential disadvantage of the JPL approach: the Java VM shares
> memory with the JPL library, the Prolog VM and any foreign code
> loaded by it, and is thus vulnerable to corruption; i.e. commercial
> or corporate Web servers may reasonably refuse to host servlets
> which load Java "native methods"]

There may also be threading issues (though JPL should be thread safe).
I believe there are some contortions you can go through with Apache
J-serv in order to get your web server to host multiple JVMs, though,
if you're concerned about performance/load balancing.  

I agree though, servelts are the way to go, with or without JPL.

/Fred